Loading...
Searching...
No Matches
checksum.h File Reference
`#include "platform.h"`
`#include "binary.h"`
`#include "frame_check_sequence.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | etl::checksum_policy_sum< T >
| Standard addition checksum policy. More...
struct | etl::checksum_policy_bsd< T >
| BSD checksum policy. More...
struct | etl::checksum_policy_xor< T >
| Standard XOR checksum policy. More...
struct | etl::checksum_policy_xor_rotate< T >
| XOR-rotate checksum policy. More...
struct | etl::checksum_policy_parity< T >
| Parity checksum policy. More...
class | etl::checksum< T >
| Standard Checksum. More...
class | etl::bsd_checksum< T >
| BSD Checksum. More...
class | etl::xor_checksum< T >
| XOR Checksum. More...
class | etl::xor_rotate_checksum< T >
| XOR-shift Checksum. More...
class | etl::parity_checksum< T >
| Parity Checksum. More...

## Namespaces

namespace | etl